RDoc failure on version 0.1.11 #9

Closed
bquorning opened this Issue Oct 2, 2009 · 1 comment

Projects

None yet

2 participants

@bquorning

Per http://github.com/mislav/hanna/commit/740a640b3d66788b12aa412b163ecc56fe54c730#comment_30630

RDoc fails when parsing version 0.1.11:

RDoc failure in lib/rubygems_plugin.rb at or around line 12 column 36

Before reporting this, could you check that the file you're documenting compiles cleanly--RDoc is not a full Ruby parser, and gets confused easily if fed invalid programs.

The internal error was:

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rdoc/code_objects.rb:275:in add_require': undefined methodadd_require' for nil:NilClass (NoMethodError)
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rdoc/parsers/parse_rb.rb:2427:in `parse_require'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rdoc/parsers/parse_rb.rb:1706:in `parse_statements'
  from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rdoc/parsers/parse_rb.rb:1986:in `parse_method'
@mislav
Owner

please RDoc parser: move the require outside of method body

closed by d292775

This issue was closed.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment